<?php

namespace Unakit;

$unakit_post_context = PostContext::PREVIEW;
$unakit_show_preview_image = Customizer::get_mod( 'preview_thumbnails' ) && has_post_thumbnail();
$unakit_preview_image_url = ( has_post_thumbnail() ? get_the_post_thumbnail_url( get_the_ID(), 'medium' ) : esc_url( Customizer::get_mod( 'preview_thumbnail_placeholder' ) ) );
$unakit_additional_post_classes = array_filter( [ 'post--preview', ( $unakit_show_preview_image ? ' has_thumbnail' : '' ) ], 'strlen' );
?>
<article id="post-<?php 
the_ID();
?>" <?php 
post_class( $unakit_additional_post_classes );
?>>
    <?php 
/* translators: %s: Name of the Post*/
?>
    <a href="<?php 
the_permalink();
?>" class="post__link-overlay post--preview__link-overlay" aria-label="<?php 
echo  esc_attr( sprintf( __( 'Read %s', 'unakit' ), get_the_title() ) ) ;
?>"></a>
    <div class="post__container post--preview__container">
        <?php 

if ( Customizer::get_mod( 'preview_thumbnails' ) ) {
    ?>
            <div class="post__container__image post--preview__container__image" data-has-image="<?php 
    echo  ( $unakit_show_preview_image ? 'true' : 'false' ) ;
    ?>" style="background-image:url(<?php 
    echo  esc_url( $unakit_preview_image_url ) ;
    ?>)">
                <?php 
    
    if ( $unakit_show_preview_image ) {
        ?>
                    <div class="post__content__image post--preview__content__image">
                        <?php 
        echo  ( has_post_thumbnail() ? the_post_thumbnail( 'medium' ) : '<img loading="lazy" src="' . esc_url( Customizer::get_mod( 'preview_thumbnail_placeholder' ) ) . '" alt="" role="presentation"/>' ) ;
        ?>
                    </div>
                <?php 
    }
    
    ?>
            </div>
        <?php 
}

?>
        <div class="post__container__text post--preview__container__text">
            <?php 
get_template_part( 'template-parts/posts/header-preview' );
?>
            <section class="post__content post--preview__content">
                <?php 
?>
                <div class="post__content__text post--preview__content__text">
                    <?php 
the_excerpt();
?>
                </div>
                <?php 
?>
            </section>
            <?php 
get_template_part( 'template-parts/posts/footer-preview' );
?>
        </div>
    </div>
</article><?php 